var NAVTREE =
[
  [ "libmpd", "index.html", [
    [ "Modules", "modules.html", [
      [ "Debug", "group__debug.html", null ],
      [ "Database", "group__database.html", [
        [ "Database Advanced Search", "group__advsearch.html", null ],
        [ "Database Search Statistics", "group__databaseSearchStats.html", null ],
        [ "Database Playlist", "group__databasePlaylist.html", null ]
      ] ],
      [ "Player", "group__Player.html", null ],
      [ "Playlist", "group__Playlist.html", [
        [ "Command Queue", "group__comqueue.html", null ],
        [ "Playlist Search", "group__playlistsearch.html", null ],
        [ "Playlist Queue", "group__playlistqueue.html", null ]
      ] ],
      [ "Status", "group__status.html", null ],
      [ "Stats", "group__stats.html", null ],
      [ "Basic", "group__Basic.html", null ],
      [ "Data Object", "group__MpdData.html", null ],
      [ "Server", "group__Server.html", null ],
      [ "Misc", "group__Misc.html", null ]
    ] ],
    [ "Data Structures", "annotated.html", [
      [ "_mpd_Connection", "struct__mpd__Connection.html", null ],
      [ "_mpd_Directory", "struct__mpd__Directory.html", null ],
      [ "_mpd_OutputEntity", "struct__mpd__OutputEntity.html", null ],
      [ "_mpd_PlaylistFile", "struct__mpd__PlaylistFile.html", null ],
      [ "_mpd_ReturnElement", "struct__mpd__ReturnElement.html", null ],
      [ "_mpd_SearchStats", "struct__mpd__SearchStats.html", null ],
      [ "_mpd_Song", "struct__mpd__Song.html", null ],
      [ "_mpd_Stats", "struct__mpd__Stats.html", null ],
      [ "_MpdData", "struct__MpdData.html", null ],
      [ "mpd_InfoEntity", "structmpd__InfoEntity.html", null ],
      [ "mpd_Status", "structmpd__Status.html", null ]
    ] ],
    [ "Data Structure Index", "classes.html", null ],
    [ "Data Fields", "functions.html", null ],
    [ "File List", "files.html", [
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/debug_printf.h", "debug__printf_8h.html", null ],
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/libmpd-database.h", "libmpd-database_8h.html", null ],
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/libmpd-player.h", "libmpd-player_8h.html", null ],
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/libmpd-playlist.h", "libmpd-playlist_8h.html", null ],
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/libmpd-status.h", "libmpd-status_8h.html", null ],
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/libmpd-sticker.h", "libmpd-sticker_8h.html", null ],
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/libmpd-strfsong.h", "libmpd-strfsong_8h.html", null ],
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/libmpd-version.h", "libmpd-version_8h.html", null ],
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/libmpd.h", "libmpd_8h.html", null ],
      [ "/usr/src/RPM/BUILD/libmpd1-0.19.0/src/libmpdclient.h", "libmpdclient_8h.html", null ]
    ] ],
    [ "Directories", "dirs.html", [
      [ "src", "dir_357d6d0b0fef081630c2859df80bee1f.html", null ]
    ] ],
    [ "Examples", "examples.html", [
      [ "testcase.c", "testcase_8c-example.html", null ]
    ] ],
    [ "Globals", "globals.html", null ]
  ] ]
];

function createIndent(o,domNode,node,level)
{
  if (node.parentNode && node.parentNode.parentNode)
  {
    createIndent(o,domNode,node.parentNode,level+1);
  }
  var imgNode = document.createElement("img");
  if (level==0 && node.childrenData)
  {
    node.plus_img = imgNode;
    node.expandToggle = document.createElement("a");
    node.expandToggle.href = "javascript:void(0)";
    node.expandToggle.onclick = function() 
    {
      if (node.expanded) 
      {
        $(node.getChildrenUL()).slideUp("fast");
        if (node.isLast)
        {
          node.plus_img.src = node.relpath+"ftv2plastnode.png";
        }
        else
        {
          node.plus_img.src = node.relpath+"ftv2pnode.png";
        }
        node.expanded = false;
      } 
      else 
      {
        expandNode(o, node, false);
      }
    }
    node.expandToggle.appendChild(imgNode);
    domNode.appendChild(node.expandToggle);
  }
  else
  {
    domNode.appendChild(imgNode);
  }
  if (level==0)
  {
    if (node.isLast)
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2plastnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2lastnode.png";
        domNode.appendChild(imgNode);
      }
    }
    else
    {
      if (node.childrenData)
      {
        imgNode.src = node.relpath+"ftv2pnode.png";
      }
      else
      {
        imgNode.src = node.relpath+"ftv2node.png";
        domNode.appendChild(imgNode);
      }
    }
  }
  else
  {
    if (node.isLast)
    {
      imgNode.src = node.relpath+"ftv2blank.png";
    }
    else
    {
      imgNode.src = node.relpath+"ftv2vertline.png";
    }
  }
  imgNode.border = "0";
}

function newNode(o, po, text, link, childrenData, lastNode)
{
  var node = new Object();
  node.children = Array();
  node.childrenData = childrenData;
  node.depth = po.depth + 1;
  node.relpath = po.relpath;
  node.isLast = lastNode;

  node.li = document.createElement("li");
  po.getChildrenUL().appendChild(node.li);
  node.parentNode = po;

  node.itemDiv = document.createElement("div");
  node.itemDiv.className = "item";

  node.labelSpan = document.createElement("span");
  node.labelSpan.className = "label";

  createIndent(o,node.itemDiv,node,0);
  node.itemDiv.appendChild(node.labelSpan);
  node.li.appendChild(node.itemDiv);

  var a = document.createElement("a");
  node.labelSpan.appendChild(a);
  node.label = document.createTextNode(text);
  a.appendChild(node.label);
  if (link) 
  {
    a.href = node.relpath+link;
  } 
  else 
  {
    if (childrenData != null) 
    {
      a.className = "nolink";
      a.href = "javascript:void(0)";
      a.onclick = node.expandToggle.onclick;
      node.expanded = false;
    }
  }

  node.childrenUL = null;
  node.getChildrenUL = function() 
  {
    if (!node.childrenUL) 
    {
      node.childrenUL = document.createElement("ul");
      node.childrenUL.className = "children_ul";
      node.childrenUL.style.display = "none";
      node.li.appendChild(node.childrenUL);
    }
    return node.childrenUL;
  };

  return node;
}

function showRoot()
{
  var headerHeight = $("#top").height();
  var footerHeight = $("#nav-path").height();
  var windowHeight = $(window).height() - headerHeight - footerHeight;
  navtree.scrollTo('#selected',0,{offset:-windowHeight/2});
}

function expandNode(o, node, imm)
{
  if (node.childrenData && !node.expanded) 
  {
    if (!node.childrenVisited) 
    {
      getNode(o, node);
    }
    if (imm)
    {
      $(node.getChildrenUL()).show();
    } 
    else 
    {
      $(node.getChildrenUL()).slideDown("fast",showRoot);
    }
    if (node.isLast)
    {
      node.plus_img.src = node.relpath+"ftv2mlastnode.png";
    }
    else
    {
      node.plus_img.src = node.relpath+"ftv2mnode.png";
    }
    node.expanded = true;
  }
}

function getNode(o, po)
{
  po.childrenVisited = true;
  var l = po.childrenData.length-1;
  for (var i in po.childrenData) 
  {
    var nodeData = po.childrenData[i];
    po.children[i] = newNode(o, po, nodeData[0], nodeData[1], nodeData[2],
        i==l);
  }
}

function findNavTreePage(url, data)
{
  var nodes = data;
  var result = null;
  for (var i in nodes) 
  {
    var d = nodes[i];
    if (d[1] == url) 
    {
      return new Array(i);
    }
    else if (d[2] != null) // array of children
    {
      result = findNavTreePage(url, d[2]);
      if (result != null) 
      {
        return (new Array(i).concat(result));
      }
    }
  }
  return null;
}

function initNavTree(toroot,relpath)
{
  var o = new Object();
  o.toroot = toroot;
  o.node = new Object();
  o.node.li = document.getElementById("nav-tree-contents");
  o.node.childrenData = NAVTREE;
  o.node.children = new Array();
  o.node.childrenUL = document.createElement("ul");
  o.node.getChildrenUL = function() { return o.node.childrenUL; };
  o.node.li.appendChild(o.node.childrenUL);
  o.node.depth = 0;
  o.node.relpath = relpath;

  getNode(o, o.node);

  o.breadcrumbs = findNavTreePage(toroot, NAVTREE);
  if (o.breadcrumbs == null)
  {
    o.breadcrumbs = findNavTreePage("index.html",NAVTREE);
  }
  if (o.breadcrumbs != null && o.breadcrumbs.length>0)
  {
    var p = o.node;
    for (var i in o.breadcrumbs) 
    {
      var j = o.breadcrumbs[i];
      p = p.children[j];
      expandNode(o,p,true);
    }
    p.itemDiv.className = p.itemDiv.className + " selected";
    p.itemDiv.id = "selected";
    $(window).load(showRoot);
  }
}

